<?php include("thems/top.php"); ?>

<?php
	$list = array();
	$hours = array();
	$list = $brows->Get_browser('hours', 'key');
	for($i=0; $i<24; $i++)
	{
		$hours[] = !empty($list[$i]) ? $list[$i] : 0;
	}

	$day = array();
	$list = $brows->Get_browser(null, 'key', null, date("Y-m"));
	for($i=1; $i<32; $i++)
	{
		$day[] = !empty($list['mday'][$i]) ? $list['mday'][$i] : 0;
	}

	$weekday = array();
	$week = $brows->Get_browser('weekday', null, true, date("Y-m"));
	foreach(array('Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday') as $w)
	{
		$weekday[] = '["' . substr(html_clean($w), 0, 3) . '", ' . (!empty($week[$w]) ? $week[$w] : 0) . ']';
	}

	$month = array();
	$prev = $brows->Get_browser('mon', 'key', null, date("Y")-1);
	$curr = $brows->Get_browser('mon', 'key', null, date("Y"));
	for($i=1; $i<13; $i++)
	{
		$month['prev'][] = "[$i, " . (!empty($prev[$i]) ? $prev[$i] : 0) . "]";
		$month['curr'][] = "[$i, " . (!empty($curr[$i]) ? $curr[$i] : 0) . "]";
	}
?>

<div class="container-fluid">
	<div class="row">
		<div class="col-sm-3 col-md-2 sidebar left_bar">
			<ul class="nav nav-sidebar">
				<li><a href="#hour">시간 별 통계</a></li>
				<li><a href="#day">일 별 통계</a></li>
				<li><a href="#week">주 별 통계</a></li>
				<li><a href="#mon">월 별 통계</a></li>
			</ul>
		</div>
		<div class="col-sm-9 col-sm-offset-3 col-md-10 col-md-offset-2 main">
			<?php echo $browscap_title; ?>

			<h2 id="hour" class="page-header void">시간 별 통계</h2>
		  
			<div><span>You Hourly: </span><span id="info1">No request click!</span></div>
			<div id="chart1" style="margin-top:20px; margin-left:20px; height:300px;" class="thumbnail"></div>
		  
			<script type="text/javascript">
			$(document).ready(function(){
				$.jqplot.config.enablePlugins = true;
				var s1 = [<?php echo implode(",",$hours); ?>];
				var ticks = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23];
         
				plot1 = $.jqplot('chart1', [s1], {
					// Only animate if we're not using excanvas (not in IE 7 or IE 8)..
					animate: !$.jqplot.use_excanvas,
					seriesDefaults:{
						renderer:$.jqplot.BarRenderer,
						rendererOptions: { varyBarColor: true },
						pointLabels: { show: true }
					},
					axes: {
						xaxis: {
							renderer: $.jqplot.CategoryAxisRenderer,
							ticks: ticks
						}
					},
					highlighter: { show: false }
				});

				$('#chart1').bind('jqplotDataClick', 
					function (ev, seriesIndex, pointIndex, data) {
						$('#info1').html(data + ' ');
				});
			});
			</script>
			
			<h2 id="day" class="sub-header void">일 별 통계</h2>
			
			<div><span>You Daily : </span><span id="info2">No request click!</span></div>
			<div id="chart2" style="margin-top:20px; margin-left:20px; height:300px;" class="thumbnail"></div>
		  
			<script type="text/javascript">
			$(document).ready(function(){
				$.jqplot.config.enablePlugins = true;
				var s1 = [<?php echo implode(",", $day); ?>];
				var ticks = ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23', '24', '25', '26', '27', '28', '29', '30', '31'];
         
				plot1 = $.jqplot('chart2', [s1], {
					// Only animate if we're not using excanvas (not in IE 7 or IE 8)..
					animate: !$.jqplot.use_excanvas,
					seriesDefaults:{
						renderer:$.jqplot.BarRenderer,
						rendererOptions: { varyBarColor: true },
						pointLabels: { show: true }
					},
					axes: {
						xaxis: {
							renderer: $.jqplot.CategoryAxisRenderer,
							ticks: ticks
						}
					},
					highlighter: { show: false }
				});
     
				$('#chart2').bind('jqplotDataClick', 
					function (ev, seriesIndex, pointIndex, data) {
						$('#info2').html(data + ' ');
				});
			});
			</script>

			<div class="row clearfix">
				<h2 id="week" class="sub-header void">주 별 통계</h2>
				<div><span>You Weekly : </span><span id="info3">No request click!</span></div>
				<div class="col-xs-12 col-sm-6 col-md-6">
					<div id="chart3" style="margin-top:20px; margin-left:20px; height:300px;" class="thumbnail"></div>

					<script type="text/javascript">
					$(document).ready(function(){
						var s1 = [<?php echo implode(",",$weekday); ?>];
     
						var grid = {
							gridLineWidth: 1.5,
							gridLineColor: 'rgb(235,235,235)',
							drawGridlines: true
						};
     
						plot1 = $.jqplot('chart3', [s1], {
							series:[{
								renderer:$.jqplot.BarRenderer,
								rendererOptions: {
									barWidth: 30,
									varyBarColor: true
								}
							}],
							axes: {
								xaxis: {
									renderer: $.jqplot.CategoryAxisRenderer
								}
							}
						});
						$('#chart3').bind('jqplotDataClick', 
							function (ev, seriesIndex, pointIndex, data) {
								$('#info3').html(data + ' ');
						});
					});
					</script>
				</div>

				<div class="col-xs-12 col-sm-6 col-md-6">
					<div class="table-responsive">
						<table class="table table-striped table-responsive">
							<thead>
								<tr>
									<th>Condensation</th>
									<th>Number</th>
								</tr>
							</thead>
							<tbody>
								<?php
								html_td($week);
								
								foreach($week as $k=>$v)
								{
									echo "
									<tr>
										<td>$k</td>
										<td>$v</td>
									</tr>
									";
								}
								?>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		  

			<h2 id="mon" class="sub-header void">월 별 통계</h2>
			<div><span>You Monthly : </span><span id="info4">No request click!</span></div>			
			<div id="chart4" style="margin-top:20px; margin-left:20px; height:300px;" class="thumbnail"></div>

			<script type="text/javascript">
			$(document).ready(function () {
				var s1 = [<?php echo implode(",", $month['prev']); ?>];
				var s2 = [<?php echo implode(",", $month['curr']); ?>];
 
				plot1 = $.jqplot("chart4", [s2, s1], {
					// Turns on animatino for all series in this plot.
					animate: true,
					// Will animate plot on calls to plot1.replot({resetAxes:true})
					animateReplot: true,
					cursor: {
						show: true,
						zoom: true,
						looseZoom: true,
						showTooltip: false
					},
					series:[{
						pointLabels: { show: true },
						renderer: $.jqplot.BarRenderer,
						showHighlight: false,
						yaxis: 'y2axis',
						rendererOptions: {
							// Speed up the animation a little bit.
							// This is a number of milliseconds.  
							// Default for bar series is 3000.  
							animation: {
								speed: 2500
							},
							barWidth: 15,
							barPadding: -15,
							barMargin: 0,
							highlightMouseOver: false }
						}, 
						{
							rendererOptions: {
							// speed up the animation a little bit.
							// This is a number of milliseconds.
							// Default for a line series is 2500.
							animation: {
								speed: 2000
							}
						}
					}
				],
				axesDefaults: {
					pad: 0
				},
				axes: {
					// These options will set up the x axis like a category axis.
					xaxis: {
						tickInterval: 1,
						drawMajorGridlines: false,
						drawMinorGridlines: true,
						drawMajorTickMarks: false,
						rendererOptions: {
							tickInset: 0.5,
							minorTicks: 1
						}
					},
					yaxis: {
						tickOptions: {
							formatString: "%'d"
						},
						rendererOptions: {
							forceTickAt0: true
						}
					},
					y2axis: {
						tickOptions: {
							formatString: "%'d"
						},
						rendererOptions: {
							// align the ticks on the y2 axis with the y axis.
							alignTicks: true,
							forceTickAt0: true
						}
					}
				},
				highlighter: {
					show: true, 
					showLabel: true, 
					tooltipAxes: 'y',
					sizeAdjust: 7.5 , tooltipLocation : 'ne'
				}});

				$('#chart4').bind('jqplotDataClick', 
					function (ev, seriesIndex, pointIndex, data) {
						$('#info4').html(data + ' ');
				});
			});
			</script>


			<div class="table-responsive">

				<script type="text/javascript" src="jqplot/jquery.jqplot.min.js"></script>


				<script type="text/javascript" src="jqplot/plugins/jqplot.barRenderer.min.js"></script>
				<script type="text/javascript" src="jqplot/plugins/jqplot.categoryAxisRenderer.min.js"></script>
				<script type="text/javascript" src="jqplot/plugins/jqplot.pointLabels.min.js"></script>
				<script type="text/javascript" src="jqplot/plugins/jqplot.dateAxisRenderer.min.js"></script>

		</div>
	</div>
</div>

<?php include("thems/bottom.php"); ?>