<?php
# HABONYPHP - wwwCrazy Globals-Filter VER: 0.04
# Creation Date : 2015-03-17
# Updated Date : 2015-10-11
# Generated By Free PHP Globals-Filter Generator : http://habonyphp.com

/* 
	***********
	 
	;PHP 5.2 =<
	***********
*/

class globals_filter
{
	private $globals = array(
		'user_ip' => array(
			'HTTP_CLIENT_IP', 
			'HTTP_X_FORWARDED_FOR', 
			'REMOTE_HOST', 
			'REMOTE_ADDR',
			'default' => false
		),
		'server_ip' => array(
			'HTTP_SERVER_ADDR', 
			'SERVER_ADDR',
			'PROXY_ADDR',
			'default' => false
		),
		'referer' => array(
			'HTTP_REFERER',
			'default' => false
		),
		'user_agent' => array(
			'HTTP_USER_AGENT',
			'default' => ''
		),
		'request_uri' => array(
			'HTTP_REQUEST_URI',
			'REQUEST_URI',
			'default' => 'unknown'
		),
		'server_name' => array(
			'HTTP_HOST',
			'SERVER_NAME',
			'default' => '127.0.0.1'
		)
	);

	private $https = array(
		'HTTP_X_FORWARDED_PROTO' => 'HTTPS',
		'HTTP_X_SSL' => 'ON',
		'HTTPS' => 'ON',
		'SSL' => 'ON'
	);

	private $real_url = false;
	private $protocol = false;

	var $filter = false;
	var $env_key = false;

	/*
		GLOBALS Filter

		filter μ :
				true => htmlspecialchars( server ) and Filter;

		ex.) $env = new globals_filter( true );
	*/
	function globals_filter($filter=false)
	{
		$this->set_url($filter);

		$this->env_quote();
	}

	/*
		GLOBALS Filter

				$_SERVER => htmlspecialchars( );

		ex.) $env = new globals_filter( );
			 $env->set_url( true );
			 $env->env_quote();
	*/
	function env_quote()
	{
		if($this->filter === true)
		{
			foreach($_SERVER as $q=>$w)
			{
				if(!empty($w))
				{
					$_SERVER[$q] = htmlspecialchars($w, ENT_QUOTES);
					if(false === $this->verification_env($q))
					{
						unset($_SERVER[$q]);
					}
				}
			}
		}
	}

	function env_separate($env)
	{
		if(!empty($env))
		{
			return htmlspecialchars($this->get_env($env), ENT_QUOTES);
		}
		return false;
	}

	/*
		Redirect set URL

		ex.1) $env = new globals_filter();
			  $env->set_url( url );
			  $env->custom_redirect();
		
		ex.2) $env = new globals_filter();
			  $env->set_url( url );
			  $env->https_redirect();
	*/
	function set_url($url=false)
	{
		if($url === true)
		{
			$this->filter = $url;
		}
		else if(!empty($url) && (strlen($url) > 1))
		{
			$real_path = false;
			if($real_path = strstr($url, '://'))
			{
				$this->protocol = strtolower(substr($url, 0, strcspn($url, ':'))) . '://';
			}
			$real_path = !empty($real_path) ? substr($real_path, 3) : $url;
			$this->real_url = htmlspecialchars($real_path, ENT_QUOTES);
		}
	}

	/*
		GET GLOBALS

		ex.1) $env = new globals_filter();
			  echo $env->get_env( 'user_ip' );
		
		ex.2) $env = new globals_filter();
			  echo $env->get_env( 'HTTP_HOST' );
	*/
	function get_env($env_key)
	{
		$env_key = strtolower($env_key);
		if(!empty($env_key))
		{
			if(array_key_exists($env_key, $this->globals))
			{
				foreach($this->globals[$env_key] as $w)
				{
					if(false !== $this->verification_env($w))
					{
						if(in_array($w, array('user_ip', 'server_ip') ))
						{
							if(!filter_var($this->env_key, FILTER_VALIDATE_IP))
							{
								return false;
							}
						}

						return $this->env_key;
					}
				}

				$default = 'default';
				if(isset($this->globals[$env_key][$default]))
				{
					return $this->globals[$env_key][$default];
				}
			}
			else 
			{
				if(false !== $this->verification_env(strtoupper($env_key)))
				{
					return $this->env_key;
				}
			}
		}
		return false;
	}

	private function verification_env($key)
	{
		$this->env_key = false;
		if(preg_match("/(^[a-zA-Z_\x61-\x7a\x41-\x5a][a-zA-Z0-9_\x61-\x7a\x41-\x5a]*$)/", $key) && (preg_last_error() === PREG_NO_ERROR))
		{
			$filter_type = INPUT_ENV;
			if(!empty($_SERVER[$key]))
			{
				if(!filter_has_var($filter_type, $key))
				{
					$filter_type = INPUT_SERVER;
				}

				if(filter_has_var($filter_type, $key))
				{
					$this->env_key = $_SERVER[$key];
				}
			}
		}
		return $this->env_key;
	}

	/*
		HTTPS Redirect

		ssl μ : 
				true => http://example.com
				false => https://example.com

		ex.1) $env = new globals_filter();
			  $env->https_redirect( ssl );
		
		ex.2) $env = new globals_filter();
			  $env->set_url( url );
			  $env->https_redirect( ssl );
	*/
	function https_redirect($ssl=false)
	{
		$protocol = 'https://';
		foreach($this->https as $q=>$w)
		{
			if(strtoupper($this->get_env($q)) === $w)
			{
				$protocol = false;
				break;
			}
		}

		if($ssl === true)
		{
			$protocol = (false === $protocol) ? 'http://' : false;
		}

		if(empty($this->real_url))
		{
			$this->real_url = $protocol;
			$this->real_url .= $this->get_env('HTTP_HOST');

			if($this->verification_env('SERVER_PORT') !== '80')
			{
				$this->real_url .= ':' . $this->env_key;
			}
			$this->real_url .= $this->get_env('request_uri');
		}
		else
		{
			$this->real_url = $protocol . $this->real_url;
		}

		if(false !== $protocol)
		{
			$this->custom_redirect(true);
		}
	}

	/*
		Custom Redirect

		permanent μ:
					true =>  𷺼(ڵ: 301)
					false => ӽ 𷺼 (ڵ : 302)

		ex.) $env = new globals_filter();
			 $env->set_url( url );
			 $env->custom_redirect( permanent );
	*/
	function custom_redirect($permanent=false) 
	{
		if(empty($this->real_url))
		{
			return false;
		}
		
		$url = $this->real_url;
		if(!strstr($this->real_url, '://'))
		{
			$url = (!empty($this->protocol) ? $this->protocol : '') . $this->real_url;
		}

		$this->protocol = false;
		$this->real_url = false;

		if (!headers_sent()) 
		{ 
			if($permanent === true)
			{
				header('HTTP/1.1 301 Moved Permanently'); 
			}
			header('Location: ' . $url); 
			header("Connection: close"); 
		}

		print '<html>';
		print '	<head>';
		print '		<title>To redirect the page.</title>';
		print '		<meta http-equiv="refresh" content="0;url=' . $url . '" />';
		print '	</head>';
		print '	<body onload="location.replace(\'' . $url . '\')">';
		print '		If the page does not redirect, please click <a href="' . $url . ' "><b>here</b></a>.';  
		print '	</body>';
		print '</html>';

		die();
	} 
}
?>