<?php
# HABONYPHP - wwwCrazy TIMEZONE VER: 0.03
# Creation Date : 2015-03-15
# Updated Date : 2015-09-27
# Generated By Free PHP TIMEZONE Generator : http://habonyphp.com

/* 
	***********
	 
	;PHP 5.2 =<
	***********
*/

/*
	Ÿ  ⺻ ð 

	Array() = PHP_TIMEZONE_Country_Set( [ date_timezone] )

	date_timezone μ: Asia/Seoul  Seoul, +9.00, -9, 9.3    Էϸ ش ÷ .
						μ     Ÿ   ȯ ޽ϴ.
		  ex.) Asia/Seoul, Seoul, +9.00, -9, 9.3, 0


	ȯ :
	Array(
		[seconds] => 12
		[minutes] => 32
		[hours] => 14
		[mday] => 29
		[wday] => 3
		[mon] => 7
		[year] => 2015
		[yday] => 209
		[weekday] => Wednesday
		[month] => July
		[0] => 1438147932
		[utc] => +09:00
		[country] => asia/seoul
	);

*/
function PHP_TIMEZONE_Country_Set($date_timezone=false)
{
	if(!empty($date_timezone))
	{
		$country = false;
		$country_timezone = date_default_timezone_get();
		if(preg_match("/^([-|+]?[0-9]{1,2}([.|:]?)([0-9]{1,2})?)/", $date_timezone) && (preg_last_error() === PREG_NO_ERROR))
		{
			if( false !== ($country = PHP_TIMEZONE_Country_City($date_timezone)) )
			{
				$country_timezone = $country[0];
			}
		}

		if(!is_array($country))
		{
			$country_timezone = PHP_TIMEZONE_Country_Complete($date_timezone);
		}

		date_default_timezone_set($country_timezone);
	}

	
	$timezone = array();
	$timezone = getdate(date("U"));
	$timezone['utc'] = strpbrk(strpbrk(date("c"), 'T'), '+-');
	$timezone['country'] = date_default_timezone_get();


	return $timezone;
}


/*
	ش 

	Asia/Seoul = PHP_TIMEZONE_Country_Complete( country )

	country μ: Asia/Seoul  Seoul   Էϸ Asia/Seoul  ȯ.

*/
function PHP_TIMEZONE_Country_Complete($country=false)
{
	$raw = PHP_TIMEZONE_Country_List();

	$country = strtolower($country);
	if(preg_match("/(^[a-z\/-_\x61-\x7a]*$)/i", $country) && (preg_last_error() === PREG_NO_ERROR))
	{	
		// ex.1) Asia/Seoul
		if(strpbrk($country, '/') && preg_match("/((([a-z-_\x61-\x7a]+)[\/]?){2,3})/i", $country) && (preg_last_error() === PREG_NO_ERROR)) 
		{
			return $country;
		}
		// ex.2) Seoul, Tokyo
		else
		{
			foreach($raw as $value)
			{
				foreach($value as $q=>$w)
				{
					if(stristr($q, $country))
					{
						return $q;
					}
				}
			}
		}
	}
	return false;
}


/*
	  

	 = PHP_TIMEZONE_Country_Time( country )

	country μ: Asia/Seoul  Asia/, Seoul   Էϸ ش   ȯ.
		ex.) Asia/Seoul, Asia, Asia/, Seoul


	ex.1) Asia, Asia/  ϳ
	迭  = PHP_TIMEZONE_Country_Time('Asia');

	ex.2) Asia/Seoul, Seoul  ϳ
	  = PHP_TIMEZONE_Country_Time('Asia/Seoul');

*/
function PHP_TIMEZONE_Country_Time($country=false)
{
	$country = strtolower($country);
	if(preg_match("/(^[a-z\/-_\x61-\x7a]*$)/i", $country) && (preg_last_error() === PREG_NO_ERROR))
	{
		$raw = PHP_TIMEZONE_Country_List();
		$after = substr($country, 0, strcspn($country, '/'));

		// ex.1) Asia/Seoul
		if(strpbrk($country, '/') && (substr($country, -1) !== '/'))
		{
			$key = array_keys($raw[$after]);
			$value = array_values($raw[$after]);

			if(false !== ($search = array_search($country, $key)))
			{
				return $value[$search];
			}
		}
		// ex.2) Asia, Asia/, Seoul
		else
		{
			foreach($raw as $key=>$value)
			{
				if($key === $after)
				{
					return $raw[$after];
				}
				else
				{
					foreach($value as $q=>$w)
					{
						if(stristr($q, $country))
						{
							return $w;
						}
					}
				}	
			}
		}
	}
	return false;
}


/*
	  

	 = PHP_TIMEZONE_Country_City( country )

	country μ: +9  -9, 9.3, 9.0, 9.00, 9:, 9:00  Էϸ  ø 迭 ȯ.
		ex.) +9.00, 9.3, 13, 8:30, 9:00, 0


	ex.1)  +9.00  ø 迭 ȯ
	迭  = PHP_TIMEZONE_Country_City('9:0');

	ex.2)  -13.3  ø 迭 ȯ.
	迭  = PHP_TIMEZONE_Country_City('-10.');

*/
function PHP_TIMEZONE_Country_City($country=false)
{
	if(preg_match("/^([-|+]?[0-9]{1,2}([.|:]?)([0-9]{1,2})?)/", $country) && (preg_last_error() === PREG_NO_ERROR))
	{
		$difference = array();
		$country = str_replace(array(":", "+"), array(".", ""), $country);

		if(!strpbrk($country, '.'))
		{
			$country = $country . '.0';
		}

		$life = false;
		if(substr($country, 0, 1) !== '-')
		{
			$life = true;
		}

		$raw = PHP_TIMEZONE_Country_List();


		// ex.1) +9, -9, 9.0, 9.30, -9.45, 0
		foreach($raw as $key=>$value)
		{
			foreach($value as $q=>$w)
			{
				if($country !== '0')
				{
					if(($life === true) && (substr($w, 0, 1) === '-'))
					{
						continue;
					}

					if(stristr($w, $country))
					{
						$difference[] = $q;
					}
				}
				else if($w === '0')
				{
					$difference[] = $q;
				}
			}
		}
		
		if(!empty($difference))
		{
			return $difference;
		}
	}
	return false;
}


/*
	Ÿ  

	迭 = PHP_TIMEZONE_Country_List( );
*/
function PHP_TIMEZONE_Country_List()
{
	return array(
		// ī
		'africa' => array(
			'africa/abidjan' => '0',
			'africa/accra' => '0',
			'africa/addis_ababa' => '3.00',
			'africa/bangui' => '1.00',
			'africa/banjul' => '0',
			'africa/bamako' => '0',
			'africa/brazzaville' => '1.00',
			'africa/bujumbura' => '2.00',
			'africa/casablanca' => '0',
			'africa/conakry' => '0',
			'africa/dakar' => '0',
			'africa/dar_es_salaam' => '3.00',
			'africa/el_aaiun' => '0',
			'africa/freetown' => '0',
			'africa/gaborone' => '2.00',
			'africa/juba' => '3.00',
			'africa/kampala' => '3.00',
			'africa/khartoum' => '3.00',
			'africa/lagos' => '1.00',
			'africa/libreville' => '1.00',
			'africa/lome' => '0',
			'africa/lusaka' => '2.00',
			'africa/malabo' => '1.00',
			'africa/maputo' => '2.00',
			'africa/mogadishu' => '3.00',
			'africa/monrovia' => '0',
			'africa/nairobi' => '3.00',
			'africa/nouakchott' => '0',
			'africa/ouagadougou' => '0',
			'africa/porto-novo' => '1.00',
			'africa/timbuktu' => '0',
			'africa/tunis' => '1.00',
			'africa/windhoek' => '1.00',
			'africa/algiers' => '1.00',
			'africa/maseru' => '2.00',
			'africa/johannesburg' => '2.00',
			'africa/bissau' => '0',
			'africa/ndjamena' => '1.00',
			'africa/kinshasa' => '1.00',
			'africa/cairo' => '2.00',
			'africa/sao_tome' => '0',
			'africa/lubumbashi' => '2.00',
			'africa/djibouti' => '3.00',
			'africa/asmara' => '3.00',
			'africa/mbabane' => '2.00',
			'africa/harare' => '2.00',
			'africa/blantyre' => '2.00',
			'africa/niamey' => '1.00',
			'africa/kigali' => '2.00',
			'africa/ceuta' => '1.00',
			'africa/tripoli' => '2.00',
			'africa/luanda' => '1.00',
			'africa/douala' => '1.00'
		),
		// ̱
		'america' => array(
			'america/adak' => '-10.00',
			'america/anchorage' => '-9.00',
			'america/antigua' => '-4.00',
			'america/araguaina' => '-3.00',
			'america/argentina/catamarca' => '-3.00',
			'america/argentina/cordoba' => '-3.00',
			'america/argentina/mendoza' => '-3.00',
			'america/argentina/comodrivadavia' => '-3.00',
			'america/argentina/rio_gallegos' => '-3.00',
			'america/argentina/salta' => '-3.00',
			'america/argentina/san_luis' => '-3.00',
			'america/argentina/tucuman' => '-3.00',
			'america/aruba' => '-4.00',
			'america/asuncion' => '-4.00',
			'america/atikokan' => '-5.00',
			'america/bahia' => '-3.00',
			'america/barbados' => '-4.00',
			'america/belem' => '-3.00',
			'america/blanc-sablon' => '-4.00',
			'america/boa_vista' => '-4.00',
			'america/boise' => '-7.00',
			'america/buenos_aires' => '-3.00',
			'america/campo_grande' => '-4.00',
			'america/cancun' => '-6.00',
			'america/catamarca' => '-3.00',
			'america/cayenne' => '-3.00',
			'america/curacao' => '-4.00',
			'america/chicago' => '-6.00',
			'america/coral_harbour' => '-5.00',
			'america/cordoba' => '-3.00',
			'america/creston' => '-7.00',
			'america/cuiaba' => '-4.00',
			'america/dawson' => '-8.00',
			'america/dawson_creek' => '-7.00',
			'america/detroit' => '-5.00',
			'america/dominica' => '-4.00',
			'america/eirunepe' => '-4.00',
			'america/el_salvador' => '-6.00',
			'america/fort_wayne' => '-5.00',
			'america/fortaleza' => '-3.00',
			'america/godthab' => '-3.00',
			'america/goose_bay' => '-4.00',
			'america/grenada' => '-4.00',
			'america/guadeloupe' => '-4.00',
			'america/guayaquil' => '-5.00',
			'america/guyana' => '-4.00',
			'america/havana' => '-5.00',
			'america/hermosillo' => '-7.00',
			'america/indiana/knox' => '-6.00',
			'america/indiana/marengo' => '-5.00',
			'america/indiana/tell_city' => '-6.00',
			'america/indiana/vevay' => '-5.00',
			'america/indiana/winamac' => '-5.00',
			'america/indianapolis' => '-5.00',
			'america/iqaluit' => '-5.00',
			'america/jamaica' => '-5.00',
			'america/juneau' => '-9.00',
			'america/kentucky/louisville' => '-5.00',
			'america/knox_in' => '-6.00',
			'america/kralendijk' => '-4.00',
			'america/lima' => '-5.00',
			'america/los_angeles' => '-8.00',
			'america/lower_princes' => '-4.00',
			'america/maceio' => '-3.00',
			'america/manaus' => '-4.00',
			'america/marigot' => '-4.00',
			'america/matamoros' => '-6.00',
			'america/mazatlan' => '-7.00',
			'america/menominee' => '-6.00',
			'america/merida' => '-6.00',
			'america/mexico_city' => '-6.00',
			'america/miquelon' => '-3.00',
			'america/monterrey' => '-6.00',
			'america/montevideo' => '-3.00',
			'america/montserrat' => '-4.00',
			'america/nassau' => '-5.00',
			'america/nipigon' => '-5.00',
			'america/nome' => '-9.00',
			'america/north_dakota/beulah' => '-6.00',
			'america/north_dakota/center' => '-6.00',
			'america/ojinaga' => '-7.00',
			'america/panama' => '-5.00',
			'america/paramaribo' => '-3.00',
			'america/port_of_spain' => '-4.00',
			'america/porto_acre' => '-4.00',
			'america/porto_velho' => '-4.00',
			'america/puerto_rico' => '-4.00',
			'america/rainy_river' => '-6.00',
			'america/rio_branco' => '-4.00',
			'america/recife' => '-3.00',
			'america/regina' => '-6.00',
			'america/rosario' => '-3.00',
			'america/santarem' => '-3.00',
			'america/santiago' => '-4.00',
			'america/sao_paulo' => '-3.00',
			'america/scoresbysund' => '-1.00',
			'america/sitka' => '-9.00',
			'america/st_barthelemy' => '-4.00',
			'america/st_johns' => '-3.30',
			'america/st_kitts' => '-4.00',
			'america/st_vincent' => '-4.00',
			'america/swift_current' => '-6.00',
			'america/anguilla' => '-4.00',
			'america/jujuy' => '-3.00',
			'america/argentina/buenos_aires' => '-3.00',
			'america/kentucky/monticello' => '-5.00',
			'america/argentina/jujuy' => '-3.00',
			'america/la_paz' => '-4.00',
			'america/argentina/la_rioja' => '-3.00',
			'america/louisville' => '-5.00',
			'america/argentina/san_juan' => '-3.00',
			'america/managua' => '-6.00',
			'america/argentina/ushuaia' => '-3.00',
			'america/martinique' => '-4.00',
			'america/atka' => '-10.00',
			'america/mendoza' => '-3.00',
			'america/bahia_banderas' => '-6.00',
			'america/metlakatla' => '-8.00',
			'america/belize' => '-6.00',
			'america/moncton' => '-4.00',
			'america/bogota' => '-5.00',
			'america/montreal' => '-5.00',
			'america/cambridge_bay' => '-7.00',
			'america/new_york' => '-5.00',
			'america/caracas' => '-4.30',
			'america/noronha' => '-2.00',
			'america/cayman' => '-5.00',
			'america/north_dakota/new_salem' => '-6.00',
			'america/chihuahua' => '-7.00',
			'america/pangnirtung' => '-5.00',
			'america/costa_rica' => '-6.00',
			'america/port-au-prince' => '-5.00',
			'america/danmarkshavn' => '0',
			'america/phoenix' => '-7.00',
			'america/denver' => '-7.00',
			'america/rankin_inlet' => '-6.00',
			'america/edmonton' => '-7.00',
			'america/resolute' => '-6.00',
			'america/ensenada' => '-8.00',
			'america/santa_isabel' => '-8.00',
			'america/glace_bay' => '-4.00',
			'america/santo_domingo' => '-4.00',
			'america/grand_turk' => '-5.00',
			'america/shiprock' => '-7.00',
			'america/guatemala' => '-6.00',
			'america/st_thomas' => '-4.00',
			'america/halifax' => '-4.00',
			'america/st_lucia' => '-4.00',
			'america/indiana/indianapolis' => '-5.00',
			'america/tegucigalpa' => '-6.00',
			'america/indiana/petersburg' => '-5.00',
			'america/thunder_bay' => '-5.00',
			'america/indiana/vincennes' => '-5.00',
			'america/tortola' => '-4.00',
			'america/inuvik' => '-7.00',
			'america/whitehorse' => '-8.00',
			'america/thule' => '-4.00',
			'america/yellowknife' => '-7.00',
			'america/toronto' => '-5.00',
			'america/tijuana' => '-8.00',
			'america/virgin' => '-4.00',
			'america/vancouver' => '-8.00',
			'america/yakutat' => '-9.00',
			'america/winnipeg' => '-6.00'
		),
		// 
		'antarctica' => array(
			'antarctica/casey' => '11.00',
			'antarctica/davis' => '5.00',
			'antarctica/mcmurdo' => '12.00',
			'antarctica/palmer' => '-4.00',
			'antarctica/vostok' => '6.00',
			'antarctica/dumontdurville' => '10.00',
			'antarctica/mawson' => '5.00',
			'antarctica/syowa' => '3.00',
			'antarctica/rothera' => '-3.00',
			'antarctica/macquarie' => '11.00',
			'antarctica/south_pole' => '12.00',
			'arctic/longyearbyen' => '1.00'
		),
		// ϱ
		'arctic' => array(
			'arctic/longyearbyen' => '1.00'
		),
		// ƽþ
		'asia' => array(
			'aden' => '3.00',
			'asia/almaty' => '6.00',
			'asia/amman' => '2.00',
			'asia/aqtau' => '5.00',
			'asia/aqtobe' => '5.00',
			'asia/ashkhabad' => '5.00',
			'asia/baku' => '4.00',
			'asia/bangkok' => '7.00',
			'asia/beirut' => '2.00',
			'asia/calcutta' => '5.30',
			'asia/choibalsan' => '8.00',
			'asia/chungking' => '8.00',
			'asia/dacca' => '6.00',
			'asia/dhaka' => '6.00',
			'asia/damascus' => '2.00',
			'asia/dushanbe' => '5.00',
			'asia/gaza' => '2.00',
			'asia/harbin' => '8.00',
			'asia/hong_kong' => '8.00',
			'asia/hovd' => '7.00',
			'asia/irkutsk' => '9.00',
			'asia/jayapura' => '9.00',
			'asia/jerusalem' => '2.00',
			'asia/kabul' => '4.30',
			'asia/kashgar' => '8.00',
			'asia/katmandu' => '5.45',
			'asia/krasnoyarsk' => '8.00',
			'asia/kuching' => '8.00',
			'asia/kuwait' => '3.00',
			'asia/makassar' => '8.00',
			'asia/magadan' => '12.00',
			'asia/manila' => '8.00',
			'asia/muscat' => '4.00',
			'asia/novosibirsk' => '7.00',
			'asia/omsk' => '7.00',
			'asia/oral' => '5.00',
			'asia/pyongyang' => '9.00',
			'asia/qatar' => '3.00',
			'asia/qyzylorda' => '6.00',
			'asia/saigon' => '7.00',
			'asia/sakhalin' => '11.00',
			'asia/samarkand' => '5.00',
			'asia/shanghai' => '8.00',
			'asia/taipei' => '8.00',
			'asia/tashkent' => '5.00',
			'asia/tel_aviv' => '2.00',
			'asia/tokyo' => '9.00',
			'asia/thimbu' => '6.00',
			'asia/ulan_bator' => '8.00',
			'asia/urumqi' => '8.00',
			'asia/vientiane' => '7.00',
			'asia/yekaterinburg' => '6.00',
			'asia/yerevan' => '4.00',
			'asia/macao' => '8.00',
			'asia/anadyr' => '12.00',
			'asia/ashgabat' => '5.00',
			'asia/nicosia' => '2.00',
			'asia/baghdad' => '3.00',
			'asia/bahrain' => '3.00',
			'asia/phnom_penh' => '7.00',
			'asia/bishkek' => '6.00',
			'asia/brunei' => '8.00',
			'asia/rangoon' => '6.30',
			'asia/chongqing' => '8.00',
			'asia/colombo' => '5.30',
			'asia/seoul' => '9.00',
			'asia/dili' => '9.00',
			'asia/dubai' => '4.00',
			'asia/tbilisi' => '4.00',
			'asia/hebron' => '2.00',
			'asia/ho_chi_minh' => '7.00',
			'asia/ulaanbaatar' => '8.00',
			'asia/istanbul' => '2.00',
			'asia/jakarta' => '7.00',
			'asia/vladivostok' => '11.00',
			'asia/kamchatka' => '12.00',
			'asia/karachi' => '5.00',
			'asia/macau' => '8.00',
			'asia/kolkata' => '5.30',
			'asia/kuala_lumpur' => '8.00',
			'asia/novokuznetsk' => '7.00',
			'asia/pontianak' => '7.00',
			'asia/singapore' => '8.00',
			'asia/ujung_pandang' => '8.00',
			'asia/riyadh' => '3.00',
			'asia/tehran' => '3.30',
			'asia/yakutsk' => '10.00'
		),
		// 뼭
		'atlantic' => array(
			'atlantic/azores' => '-1.00',
			'atlantic/bermuda' => '-4.00',
			'atlantic/canary' => '0',
			'atlantic/faroe' => '0',
			'atlantic/jan_mayen' => '1.00',
			'atlantic/madeira' => '0',
			'atlantic/stanley' => '-3.00',
			'atlantic/reykjavik' => '0',
			'atlantic/faeroe' => '0',
			'atlantic/cape_verde' => '-1.00',
			'atlantic/south_georgia' => '-2.00',
			'atlantic/st_helena' => '0'
		),
		// ȣ
		'australia' => array(
			'australia/act' => '10.00',
			'australia/adelaide' => '9.30',
			'australia/currie' => '10.00',
			'australia/darwin' => '9.30',
			'australia/lindeman' => '10.00',
			'australia/lord_howe' => '10.30',
			'australia/perth' => '8.00',
			'australia/queensland' => '10.00',
			'australia/victoria' => '10.00',
			'australia/west' => '8.00',
			'australia/brisbane' => '10.00',
			'australia/sydney' => '10.00',
			'australia/hobart' => '10.00',
			'australia/canberra' => '10.00',
			'australia/north' => '9.30',
			'australia/lhi' => '10.30',
			'australia/broken_hill' => '9.30',
			'australia/eucla' => '8.45',
			'australia/melbourne' => '10.00',
			'australia/south' => '9.30',
			'australia/yancowinna' => '9.30',
			'australia/nsw' => '10.00',
			'australia/tasmania' => '10.00'
		),
		// 
		'brazil' => array(
			'brazil/acre' => '-4.00',
			'brazil/denoronha' => '-2.00',
			'brazil/east' => '-3.00',
			'brazil/west' => '-4.00'
		),
		// ĳ
		'canada' => array(
			'canada/atlantic' => '-4.00',
			'canada/central' => '-6.00',
			'canada/newfoundland' => '-3.30',
			'canada/pacific' => '-8.00',
			'canada/east-saskatchewan' => '-6.00',
			'canada/yukon' => '-8.00',
			'canada/eastern' => '-5.00',
			'canada/saskatchewan' => '-6.00',
			'canada/mountain' => '-7.00'
		),
		// ĥ
		'chile' => array(
			'chile/continental' => '-4.00',
			'chile/easterisland' => '-6.00'
		),
		// 
		'europe' => array(
			'europe/amsterdam' => '1.00',
			'europe/andorra' => '1.00',
			'europe/athens' => '2.00',
			'europe/berlin' => '1.00',
			'europe/bratislava' => '1.00',
			'europe/brussels' => '1.00',
			'europe/chisinau' => '2.00',
			'europe/copenhagen' => '1.00',
			'europe/dublin' => '0',
			'europe/helsinki' => '2.00',
			'europe/isle_of_man' => '0',
			'europe/istanbul' => '2.00',
			'europe/kiev' => '2.00',
			'europe/lisbon' => '0',
			'europe/ljubljana' => '1.00',
			'europe/madrid' => '1.00',
			'europe/malta' => '1.00',
			'europe/mariehamn' => '2.00',
			'europe/moscow' => '4.00',
			'europe/nicosia' => '2.00',
			'europe/oslo' => '1.00',
			'europe/prague' => '1.00',
			'europe/riga' => '2.00',
			'europe/rome' => '1.00',
			'europe/sarajevo' => '1.00',
			'europe/simferopol' => '2.00',
			'europe/skopje' => '1.00',
			'europe/tallinn' => '2.00',
			'europe/tirane' => '1.00',
			'europe/tiraspol' => '2.00',
			'europe/vatican' => '1.00',
			'europe/vienna' => '1.00',
			'europe/vilnius' => '2.00',
			'europe/zagreb' => '1.00',
			'europe/zaporozhye' => '2.00',
			'europe/zurich' => '1.00',
			'europe/belfast' => '0',
			'europe/sofia' => '2.00',
			'europe/monaco' => '1.00',
			'europe/bucharest' => '2.00',
			'europe/uzhgorod' => '2.00',
			'europe/podgorica' => '1.00',
			'europe/gibraltar' => '1.00',
			'europe/volgograd' => '4.00',
			'europe/san_marino' => '1.00',
			'europe/jersey' => '0',
			'europe/belgrade' => '1.00',
			'europe/stockholm' => '1.00',
			'europe/london' => '0',
			'europe/budapest' => '1.00',
			'europe/vaduz' => '1.00',
			'europe/minsk' => '3.00',
			'europe/guernsey' => '0',
			'europe/warsaw' => '1.00',
			'europe/paris' => '1.00',
			'europe/kaliningrad' => '3.00',
			'europe/samara' => '4.00',
			'europe/luxembourg' => '1.00'
		),
		// ε
		'indian' => array(
			'indian/antananarivo' => '3.00',
			'indian/chagos' => '6.00',
			'indian/christmas' => '7.00',
			'indian/kerguelen' => '5.00',
			'indian/mahe' => '4.00',
			'indian/maldives' => '5.00',
			'indian/reunion' => '4.00',
			'indian/cocos' => '6.30',
			'indian/mauritius' => '4.00',
			'indian/comoro' => '3.00',
			'indian/mayotte' => '3.00'
		),
		// 
		'pacific' => array(
			'pacific/apia' => '13.00',
			'pacific/auckland' => '12.00',
			'pacific/efate' => '11.00',
			'pacific/enderbury' => '13.00',
			'pacific/galapagos' => '-6.00',
			'pacific/gambier' => '-9.00',
			'pacific/johnston' => '-10.00',
			'pacific/kwajalein' => '12.00',
			'pacific/marquesas' => '-9.30',
			'pacific/midway' => '-11.00',
			'pacific/noumea' => '11.00',
			'pacific/pago_pago' => '-11.00',
			'pacific/pohnpei' => '11.00',
			'pacific/port_moresby' => '10.00',
			'pacific/tahiti' => '-10.00',
			'pacific/tarawa' => '12.00',
			'pacific/wallis' => '12.00',
			'pacific/yap' => '10.00',
			'pacific/chuuk' => '10.00',
			'pacific/saipan' => '10.00',
			'pacific/fiji' => '12.00',
			'pacific/truk' => '10.00',
			'pacific/guam' => '10.00',
			'pacific/easter' => '-6.00',
			'pacific/kosrae' => '11.00',
			'pacific/funafuti' => '12.00',
			'pacific/niue' => '-11.00',
			'pacific/honolulu' => '-10.00',
			'pacific/chatham' => '12.45',
			'pacific/fakaofo' => '13.00',
			'pacific/guadalcanal' => '11.00',
			'pacific/kiritimati' => '14.00',
			'pacific/nauru' => '12.00',
			'pacific/palau' => '9.00',
			'pacific/rarotonga' => '-10.00',
			'pacific/tongatapu' => '13.00',
			'pacific/norfolk' => '11.30',
			'pacific/ponape' => '11.00',
			'pacific/samoa' => '-11.00',
			'pacific/wake' => '12.00',
			'pacific/majuro' => '12.00',
			'pacific/pitcairn' => '-8.00'
		),
		// ƽ
		'mexico' => array(
			'mexico/bajanorte' => '-8.00',
			'mexico/bajasur' => '-7.00',
			'mexico/general' => '-6.00'
		)
	);
}


?>